ChangeSet 1.1093.2.8, 2003/05/13 13:17:32-07:00, greg@kroah.com

[PATCH] USB: fix break control for pl2303 driver

Thanks to Martin Evans <m.d.t.evans@qmul.ac.uk> for pointing this out.


diff -Nru a/drivers/usb/serial/pl2303.c b/drivers/usb/serial/pl2303.c
--- a/drivers/usb/serial/pl2303.c	Wed May 14 12:29:39 2003
+++ b/drivers/usb/serial/pl2303.c	Wed May 14 12:29:39 2003
@@ -579,7 +579,7 @@
 		state = BREAK_ON;
 	dbg("%s - turning break %s", state==BREAK_OFF ? "off" : "on", __FUNCTION__);
 
-	result = usb_control_msg (serial->dev, usb_rcvctrlpipe (serial->dev, 0),
+	result = usb_control_msg (serial->dev, usb_sndctrlpipe (serial->dev, 0),
 				  BREAK_REQUEST, BREAK_REQUEST_TYPE, state, 
 				  0, NULL, 0, 100);
 	if (result)
